Subject: Re: [RFC+PATCH 1/1] Move SCM interoperability tools into scm/

From: Timo Hirvonen <[email-masked]>
Date: Mon, 10 Jul 2006 01:34:05 +0300

Petr Baudis <[email-masked]> wrote:

> I've been meaning to do something like this for some time already; my
> itch have been the builtins. The tree size _is_ getting out of hand and
> a little more categorization of the sources would certainly help.
> Although I'd take a different approach:
> 
> 	libgit/
> 	builtin/
> 	standalone/
> 	scripts/

Please don't.  One directory is much easier to work with.  At least
don't split the Makefile.  Also moving files makes "git log <file>"
stop at the rename.

-- 
http://onion.dynserv.net/~timo/